--[[----------------------------------------------------------------------------

ADOBE CONFIDENTIAL
------------------
Copyright 2020 Adobe Systems Incorporated
All Rights Reserved.

NOTICE: All information contained herein is, and remain the property of
Adobe Systems Incorporated and its suppliers, if any. The intellectual and
technical concepts contained herein are proprietary to Adobe Systems
Incorporated and its suppliers and may be covered by U.S. and Foreign
Patents, patents in process, and are protected by trade secret or copyright
law.  Dissemination of this information or reproduction of this material is
strictly forbidden unless prior written permission is obtained from
Adobe Inc.

----------------------------------------------------------------------------]]--

local WFCatWatermark = require 'WFCatWatermark'
local LrmCatWatermark = require 'LrmCatWatermark'

	-- WF.core.models
local WFModelsUtils = require 'WFModelsUtils'

--==============================================================================

local LrmLibraryWatermarkModel = {}

--==============================================================================


function LrmLibraryWatermarkModel.createWatermark( self, name, settings, optFilePath, optFileName, optId )

	return WFModelsUtils.createModelForFunction( self._wfCatalogStream, 
			WFCatWatermark.createWatermark, name, settings, optFilePath, optFileName, optId )

end

--------------------------------------------------------------------------------

function LrmLibraryWatermarkModel.updateWatermark( self, id, name, settings, optFilePath, optFileName )

	return WFModelsUtils.createModelForFunction( self._wfCatalogStream, 
			WFCatWatermark.updateWatermark, id, name, settings, optFilePath, optFileName )

end

-------------------------------------------------------------------------------

function LrmLibraryWatermarkModel.getWatermarkInfo( self, id )

	return WFModelsUtils.createModelForFunction( self._wfCatalogStream, 
			WFCatWatermark.getWatermarkInfo, id )
	
end

--------------------------------------------------------------------------------

function LrmLibraryWatermarkModel.getAllWatermarksInfo( self )

	return WFModelsUtils.createModelForFunction( self._wfCatalogStream, 
			WFCatWatermark.getAllWatermarksInfo )

end

----------------------------------------------------------------------

function LrmLibraryWatermarkModel.deleteWatermarks( self, watermarkIdsArray )

	return WFModelsUtils.createModelForFunction( self._wfCatalogStream, 
			WFCatWatermark.deleteWatermarks, watermarkIdsArray )

end

----------------------------------------------------

function LrmLibraryWatermarkModel:downloadImageWatermark( docId )

	return WFModelsUtils.createModelForFunction( self._wfCatalogStream, 
			WFCatWatermark.downloadImageWatermark, docId, LrmCatWatermark.saveImageWatermarkCallbackFunc )
	
end

----------------------------------------------------

return LrmLibraryWatermarkModel
